Go to the latest version of this document.

# ``twisted`.`mail`.`interfaces`.`IMailboxIMAPInfo``

interface documentation

`class IMailboxIMAPInfo(Interface): (source)`

Known subclasses: `twisted.mail.interfaces.IMailboxIMAP`

View In Hierarchy

Interface specifying only the methods required for `listMailboxes`.

Implementations can return objects implementing only these methods for return to `listMailboxes` if it can allow them to operate more efficiently.

Method | `getFlags` | Return the flags defined in this mailbox
Method | `getHierarchicalDelimiter` | Get the character which delimits namespaces for in this mailbox.

def getFlags(): (source)

Return the flags defined in this mailbox

Flags with the \ prefix are reserved for use as system flags.

Returns
`list` of `str` | A list of the flags that can be set on messages in this mailbox.

def getHierarchicalDelimiter(): (source)

Get the character which delimits namespaces for in this mailbox.

Returns
`bytes` | Undocumented